CBZip2InputStream.STATE (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.io.compress.bzip2
Enum CBZip2InputStream.STATE

    java.lang.Object
      java.lang.Enum<CBZip2InputStream.STATE>
          org.apache.hadoop.io.compress.bzip2.CBZip2InputStream.STATE

All Implemented Interfaces:
  Serializable, Comparable<CBZip2InputStream.STATE>

Enclosing class:
  CBZip2InputStream

    public static enum CBZip2InputStream.STATE

extends Enum<CBZip2InputStream.STATE>

A state machine to keep track of current state of the de-coder

Enum Constant Summary
`EOF`
`NO_PROCESS_STATE`
`NO_RAND_PART_A_STATE`
`NO_RAND_PART_B_STATE`
`NO_RAND_PART_C_STATE`
`RAND_PART_A_STATE`
`RAND_PART_B_STATE`
`RAND_PART_C_STATE`
`START_BLOCK_STATE`

Method Summary
`static CBZip2InputStream.STATE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CBZip2InputStream.STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EOF

    public static final CBZip2InputStream.STATE EOF

### START_BLOCK_STATE

    public static final CBZip2InputStream.STATE START_BLOCK_STATE

### RAND_PART_A_STATE

    public static final CBZip2InputStream.STATE RAND_PART_A_STATE

### RAND_PART_B_STATE

    public static final CBZip2InputStream.STATE RAND_PART_B_STATE

### RAND_PART_C_STATE

    public static final CBZip2InputStream.STATE RAND_PART_C_STATE

### NO_RAND_PART_A_STATE

    public static final CBZip2InputStream.STATE NO_RAND_PART_A_STATE

### NO_RAND_PART_B_STATE

    public static final CBZip2InputStream.STATE NO_RAND_PART_B_STATE

### NO_RAND_PART_C_STATE

    public static final CBZip2InputStream.STATE NO_RAND_PART_C_STATE

### NO_PROCESS_STATE

    public static final CBZip2InputStream.STATE NO_PROCESS_STATE

Method Detail

### values

    public static CBZip2InputStream.STATE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CBZip2InputStream.STATE c : CBZip2InputStream.STATE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CBZip2InputStream.STATE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation